import 'package:intl/intl.dart';

extension NullableDateFormatter on DateTime? {
  String toDate() {
    if (this == null) return '-';
    return DateFormat('dd MMM').format(this!.toLocal());
  }

  String toShortDate() {
    if (this == null) return '-';
    return DateFormat('dd/MM/yyyy').format(this!.toLocal());
  }

  String toShortDateWithDay() {
    if (this == null) return '-';
    return DateFormat('EEEE, dd/MM/yyyy').format(this!.toLocal());
  }

  String toShortDateTime() {
    if (this == null) return '-';
    return DateFormat('dd/MM/yyyy HH:mm').format(this!.toLocal());
  }

  String toTimeFormat() {
    if (this == null) return '-';
    return DateFormat('h a').format(this!.toLocal());
  }

  String toShortTime() {
    if (this == null) return '-';
    return DateFormat('h:mm a').format(this!.toLocal());
  }

  String toMonth() {
    if (this == null) return '-';
    return DateFormat('MMM').format(this!.toLocal());
  }

  String toMonthYear() {
    if (this == null) return '-';
    return DateFormat('MMM yyyy').format(this!.toLocal());
  }

  String toYear() {
    if (this == null) return '-';
    return DateFormat('yyyy').format(this!.toLocal());
  }

  String toDay() {
    if (this == null) return '-';
    return DateFormat('dd').format(this!.toLocal());
  }

  String toTime() {
    if (this == null) return '-';
    return DateFormat('HH:mm').format(this!.toLocal());
  }

  String toLongDate() {
    if (this == null) return '-';
    return DateFormat('MMM dd, yyyy').format(this!.toLocal());
  }

  String toLongDateTime() {
    if (this == null) return '-';
    return DateFormat('MMM dd, yyyy h:mm a').format(this!.toLocal());
  }

  String toShortDay() {
    if (this == null) return '-';
    return DateFormat('EEE').format(this!.toLocal());
  }
}

// String _format(DateTime? dateTime, String pattern) =>
//     dateTime == null ? '-' : DateFormat(pattern).format(dateTime.toLocal());
